<template>
  <div class="catalog">
    <h1 class="section-title">Новые поступления</h1>
    <div class="catalog__list">
      <catalogItem 
        v-for="product in FURNITURE" 
        :key="product.article" 
        :product_data="product" 
        @addToCart="addToCart"
      />
    </div>
  </div>
</template>


<script>
import CatalogItem from './Catalog-item.vue'
import { mapGetters, mapActions } from 'vuex';

export default {
  name: "Catalog",
  components: {
    CatalogItem
  },
  computed: {
    ...mapGetters([
      'FURNITURE',
      'CART'
    ])
  },
  methods: {
    ...mapActions([
      'GET_FURNITURE_TO_API',
      'ADD_TO_CART'
    ]),
    addToCart(data) {
      this.ADD_TO_CART(data)
    }
  },
  mounted() {
    this.GET_FURNITURE_TO_API()
  },
  hideProduct(){
    
  }
}

</script>


<style lang="scss">
.section-title {
  text-align: center;
  padding: 50px 0;
}

.catalog__list {
  display: flex;
  flex-basis: 10%;
  flex-wrap: wrap;
  gap: 40px;

}
</style>